JBoss API: Class JmsConnectionRequestInfo

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.ra
Class JmsConnectionRequestInfo

    java.lang.Object
      |
      +--org.jboss.jms.ra.JmsConnectionRequestInfo

All Implemented Interfaces:
  javax.resource.spi.ConnectionRequestInfo

public class JmsConnectionRequestInfo
extends java.lang.Object
implements javax.resource.spi.ConnectionRequestInfo

JmsConnectionRequestInfo.java Created: Thu Mar 29 16:29:55 2001

Version:
  $Revision: 1.1.4.2 $
Author:
  Peter Antman.

Constructor Summary
`JmsConnectionRequestInfo(boolean transacted, int acknowledgeMode, boolean isTopic)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`int` | `getAcknowledgeMode()`
`java.lang.String` | `getPassword()`
`java.lang.String` | `getUserName()`
`int` | `hashCode()`
`boolean` | `isTopic()`
`boolean` | `isTransacted()`
`void` | `setPassword(java.lang.String password)`
`void` | `setUserName(java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JmsConnectionRequestInfo

    public JmsConnectionRequestInfo(boolean transacted,
                                    int acknowledgeMode,
                                    boolean isTopic)

Method Detail

### getUserName

    public java.lang.String getUserName()

### setUserName

    public void setUserName(java.lang.String name)

### getPassword

    public java.lang.String getPassword()

### setPassword

    public void setPassword(java.lang.String password)

### isTransacted

    public boolean isTransacted()

### getAcknowledgeMode

    public int getAcknowledgeMode()

### isTopic

    public boolean isTopic()

### equals

    public boolean equals(java.lang.Object obj)

  Specified by:
    `equals` in interface `javax.resource.spi.ConnectionRequestInfo`
  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `javax.resource.spi.ConnectionRequestInfo`
  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.